ccw_device_resume
Prev | ccw devices | Next

## Name

ccw_device_resume — resume channel program execution

## Synopsis

`int ccw_device_resume (` | struct ccw_device * | cdev`)`;

## Arguments

`cdev`

  target ccw device

## Description

`ccw_device_resume` calls rsch on `cdev`'s subchannel.

## Returns

`0` on success, -`ENODEV` on device not operational, -`EINVAL` on invalid device state, -`EBUSY` on device busy or interrupt pending.

## Context

Interrupts disabled, ccw device lock held

Prev | Up | Next
ccw_device_halt | Home | ccw_device_get_ciw